Collections
Get Collections
Get a list of all collections of your app.
GET
/
apps
/
{app_id}
/
collections
Get Collections
curl --request GET \
--url https://api.example.com/apps/{app_id}/collectionsimport requests
url = "https://api.example.com/apps/{app_id}/collections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/apps/{app_id}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/apps/{app_id}/collections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/apps/{app_id}/collections"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/apps/{app_id}/collections")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/apps/{app_id}/collections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"verified": true
},
"config": {
"id": "<string>",
"rules": [
{
"name": "Check Business Name",
"key": "CHECK_BUSINESS_NAME",
"on_success": "PASS",
"on_fail": "WARN",
"workflow_id": "work_xxx",
"workflow_version_id": "workv_xxx",
"workflow_use_latest": true,
"execution_order": "before-all",
"step_key": "<string>",
"workflow_input_default": {
"business_name": "Example Corp"
},
"disabled": false
}
],
"mappings": [
{
"source_path": "LOAN_APPLICATION:income",
"destination_paths": [
"MONTHLY_INCOME:amount",
"ANNUAL_INCOME:amount"
]
}
],
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"app_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"records_count": 123,
"deleted": true,
"triggers": [
{
"id": "<string>",
"type": "ENCOMPASS",
"name": "My Encompass Trigger",
"config": {
"type": "ENCOMPASS",
"mappings": [
{
"type": "document",
"entity_path": "<string>",
"input_path": [
"<string>"
],
"name": "<string>"
}
],
"pull_on_millestones": [
"Application Received",
"Underwriting Complete",
"Clear to Close"
],
"pull_on_folders": [
"Loan Folder",
"Document Folder",
"Underwriting Folder"
]
},
"enabled": true,
"connection_id": "con_xxx",
"collection_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"link": "<string>"
}
]Query Parameters
Response
200 - application/json
You'll receive an array of collections.
Was this page helpful?
⌘I
Get Collections
curl --request GET \
--url https://api.example.com/apps/{app_id}/collectionsimport requests
url = "https://api.example.com/apps/{app_id}/collections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/apps/{app_id}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/apps/{app_id}/collections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/apps/{app_id}/collections"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/apps/{app_id}/collections")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/apps/{app_id}/collections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"verified": true
},
"config": {
"id": "<string>",
"rules": [
{
"name": "Check Business Name",
"key": "CHECK_BUSINESS_NAME",
"on_success": "PASS",
"on_fail": "WARN",
"workflow_id": "work_xxx",
"workflow_version_id": "workv_xxx",
"workflow_use_latest": true,
"execution_order": "before-all",
"step_key": "<string>",
"workflow_input_default": {
"business_name": "Example Corp"
},
"disabled": false
}
],
"mappings": [
{
"source_path": "LOAN_APPLICATION:income",
"destination_paths": [
"MONTHLY_INCOME:amount",
"ANNUAL_INCOME:amount"
]
}
],
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"app_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"records_count": 123,
"deleted": true,
"triggers": [
{
"id": "<string>",
"type": "ENCOMPASS",
"name": "My Encompass Trigger",
"config": {
"type": "ENCOMPASS",
"mappings": [
{
"type": "document",
"entity_path": "<string>",
"input_path": [
"<string>"
],
"name": "<string>"
}
],
"pull_on_millestones": [
"Application Received",
"Underwriting Complete",
"Clear to Close"
],
"pull_on_folders": [
"Loan Folder",
"Document Folder",
"Underwriting Folder"
]
},
"enabled": true,
"connection_id": "con_xxx",
"collection_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"link": "<string>"
}
]